SIP Phone Numbers
Update SIP Phone Number
Updates an existing SIP phone number.
PUT
/
api
/
v1
/
vendors
/
{vendorId}
/
organizations
/
{organizationId}
/
sip
/
credentials
/
{sipCredentialsId}
/
phone-numbers
/
{phoneNumberId}
Update SIP Phone Number
curl --request PUT \
--url https://app.deepslate.eu/api/v1/vendors/{vendorId}/organizations/{organizationId}/sip/credentials/{sipCredentialsId}/phone-numbers/{phoneNumberId} \
--header 'Content-Type: application/json' \
--data '
{
"phoneNumber": "0049123456789",
"fallback": true
}
'import requests
url = "https://app.deepslate.eu/api/v1/vendors/{vendorId}/organizations/{organizationId}/sip/credentials/{sipCredentialsId}/phone-numbers/{phoneNumberId}"
payload = {
"phoneNumber": "0049123456789",
"fallback": True
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({phoneNumber: '0049123456789', fallback: true})
};
fetch('https://app.deepslate.eu/api/v1/vendors/{vendorId}/organizations/{organizationId}/sip/credentials/{sipCredentialsId}/phone-numbers/{phoneNumberId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"timestamp": "2025-04-17T14:23:30Z",
"message": "<string>",
"data": {
"id": "a46ccb36-3bd1-49e5-b36e-d1851c3a63ab",
"phoneNumber": "0049123456789",
"fallback": true
},
"traceId": "<string>"
}Path Parameters
ID of the Vendor (UUID)
ID of the Organization (UUID)
ID of the SIP Credentials (UUID)
ID of the Phone Number (UUID)
Body
application/json
Response
Phone number updated successfully
Standard API response wrapper
Indicates if the request was successful
Example:
true
Response timestamp in ISO-8601 format
Example:
"2025-04-17T14:23:30Z"
Human-readable message
Payload data object
Show child attributes
Show child attributes
Correlation or trace ID
Was this page helpful?
⌘I
Update SIP Phone Number
